std::_Reference_wrapper_base< _Tp >(3cxx)

NAME
std::_Reference_wrapper_base< _Tp >

SYNOPSIS

Inherits std::_Weak_result_type< _Tp >, std::_Refwrap_base_arg1< _Tp, typename >, and std::_Refwrap_base_arg2< _Tp, typename >.

Detailed Description

  template<typename _Tp>
struct std::_Reference_wrapper_base< _Tp >" Derives from unary_function or binary_function when it can. Specializations handle all of the easy cases. The primary template determines what to do with a class type, which may derive from both unary_function and binary_function.

Definition at line 214 of file refwrap.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.